﻿<%@ Page Language="C#" MasterPageFile="~masterurl/default.master" Inherits="Microsoft.SharePoint.WebPartPages.WebPartPage, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<asp:Content ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
    <SharePoint:ScriptLink name="sp.js" runat="server" OnDemand="true" LoadAfterUI="true" Localizable="false" />
    <script type="text/javascript" src="../Scripts/jquery-1.9.1.min.js"></script>
    <script type="text/javascript" src="../Scripts/ApprovalTaskOutcome.js"></script>
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderMain" runat="server">

    <WebPartPages:WebPartZone runat="server" FrameType="TitleBarOnly" ID="full" Title="loc:full" />

    <div id="chooseOutcomePanel">
        <table>
            <tr>
                <td>Please choose the outcome for the current task and provide a comment, in case of need.</td>
            </tr>
            <tr>
                <td>
                    Comment:<br />
                    <textarea id="taskComment" cols="50" rows="5"></textarea>
                </td>
            </tr>
            <tr>
                <td>
                    <input type="button" name="approveTaskOutcome" value="Approved" onclick="setTaskOutcome('PSLegalApprovalOutcome', 'Approved', 'PSLegalApprovalComment', $('#taskComment').val());" />
                    <input type="button" name="rejectTaskOutcome" value="Rejected" onclick="setTaskOutcome('PSLegalApprovalOutcome', 'Rejected', 'PSLegalApprovalComment', $('#taskComment').val());" />
                    <br />
                </td>
            </tr>
        </table>
    </div>
    <div id="showOutcomePanel" data-outcome-field="PSLegalApprovalOutcome">
        <h2 id="outcome"></h2>
    </div>

</asp:Content>
